import request from '@/utils/request'

// 查询安全阀清单列表
export function listSafetyvavle(query) {
  return request({
    url: '/reliability/safetyvavle/list',
    method: 'get',
    params: query
  })
}

// 查询安全阀清单详细
export function getSafetyvavle(id) {
  return request({
    url: '/reliability/safetyvavle/' + id,
    method: 'get'
  })
}

// 新增安全阀清单
export function addSafetyvavle(data) {
  return request({
    url: '/reliability/safetyvavle',
    method: 'post',
    data: data
  })
}

// 修改安全阀清单
export function updateSafetyvavle(data) {
  return request({
    url: '/reliability/safetyvavle',
    method: 'put',
    data: data
  })
}

// 删除安全阀清单
export function delSafetyvavle(id) {
  return request({
    url: '/reliability/safetyvavle/' + id,
    method: 'delete'
  })
}

// 上传安全阀清单
export function uploadSafetyvavle(id) {
  return request({
    url: '/reliability/safetyvavle/upload/' + id,
    method: 'get'
  })
}

// 导出安全阀清单
export function exportSafetyvavle(query) {
  return request({
    url: '/reliability/safetyvavle/export',
    method: 'get',
    params: query
  })
}
